<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*

+--------------------------------------------------------*
|
| Ajax Forum Post Ratings by LOA & Fangree Productions	
+--------------------------------------------------------*
| Developers: Matias Casas (PhAnToM) & Craig Dewar (Fangree_Craig)
| Email: phAnToM - phantom@loa-team.com.ar 
| Email: Fangree_Craig - admin@fangree.co.uk
| Support: http://www.fangree.co.uk	
+--------------------------------------------------------*
| Based on Forum Post Ratings from  fusionBoard 4
| by php-Invent Team
| http://www.php-invent.com
| Developer: Ian Unruh (SoBeNoFear)
| ianunruh@gmail.com
+--------------------------------------------------------*
*/  

if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."post_ratings/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."post_ratings/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."post_ratings/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."post_ratings/locale/English.php";
}

$inf_title = $locale ['post_ratings_title'];
$inf_description = $locale ['post_ratings_desc'];
$inf_version = "2.07";
$inf_developer = "Ajax Forum Post Ratings by LOA & Fangree Productions";
$inf_email = "admin@fangree.co.uk";
$inf_weburl = "http://www.fangree.co.uk";

$inf_folder = "post_ratings";

$inf_newtable[1] = DB_POST_RATINGS_SETTINGS." (
	show_ratings tinyint(1) NOT NULL,
	rating_opacity float NOT NULL,
	boxover_ratings tinyint(1) NOT NULL,
	PRIMARY KEY  (show_ratings)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_POST_RATINGS_RATE." (
	rate_id mediumint(6) NOT NULL auto_increment,
	rate_type mediumint(6) NOT NULL default '0',
	rate_user mediumint(6) NOT NULL default '0',
	rate_post mediumint(6) NOT NULL default '0',
	rate_by mediumint(6) NOT NULL default '0',
	PRIMARY KEY  (rate_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_POST_RATINGS_RATE_TYPE." (
  type_id mediumint(6) NOT NULL auto_increment,
  type_name varchar(200) collate utf8_spanish_ci NOT NULL default '',
  type_icon varchar(200) collate utf8_spanish_ci NOT NULL default '',
  PRIMARY KEY  (type_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_POST_RATINGS_SETTINGS." (show_ratings, rating_opacity, boxover_ratings) VALUES (1, 0.6, 1)";

$inf_droptable[1] = DB_POST_RATINGS_SETTINGS;
$inf_droptable[2] = DB_POST_RATINGS_RATE;
$inf_droptable[3] = DB_POST_RATINGS_RATE_TYPE;

$inf_adminpanel[1] = array(
	"title" => $locale['post_ratings_title'],
	"image" => "post_ratings.gif",
	"panel" => "admin.php",
	"rights" => "LR1"
);

?>